package polycat

import "github.com/shopspring/decimal"

type PoolInfo struct {
	LpToken        *CatPair
	Balance        decimal.Decimal
	TotalDeposited decimal.Decimal
}

func (pi *PoolInfo) BalanceRatio() decimal.Decimal {
	return pi.Balance.Div(pi.TotalDeposited)
}
